Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I wrote this on the terminal:

sudo yum -y update 
[sudo] password for brallan: 
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package akonadi.i686 0:1.7.2-1.fc17 will be obsoleted
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: kdepimlibs-akonadi-4.9.1-3.fc17.i686
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: 7:kdepim-4.9.1-1.fc17.i686
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: 1:kdepim-runtime-libs-4.9.1-1.fc17.i686
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: 1:kdepim-runtime-4.9.1-1.fc17.i686
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: 7:kdepim-libs-4.9.1-1.fc17.i686
---> Package akonadi-mysql.i686 0:1.8.0-1.fc17 will be obsoleting
---> Package ark.i686 0:4.8.5-1.fc17 will be updated
---> Package ark.i686 0:4.9.1-1.fc17 will be an update
---> Package ark-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package ark-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package audiocd-kio.i686 0:4.9.1-1.fc17 will be obsoleting
--> Processing Dependency: audiocd-kio-libs(x86-32) = 4.9.1-1.fc17 for package: audiocd-kio-4.9.1-1.fc17.i686
--> Processing Dependency: libaudiocdplugins.so.4 for package: audiocd-kio-4.9.1-1.fc17.i686
--> Processing Dependency: libkcddb.so.4 for package: audiocd-kio-4.9.1-1.fc17.i686
--> Processing Dependency: libkcompactdisc.so.4 for package: audiocd-kio-4.9.1-1.fc17.i686
---> Package calligra.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra.i686 0:2.5.2-1.fc17 will be an update                                                                                                             
---> Package calligra-braindump.i686 0:2.5.1-1.fc17 will be updated                                                                                                     
---> Package calligra-braindump.i686 0:2.5.2-1.fc17 will be an update                                                                                                   
---> Package calligra-braindump-libs.i686 0:2.5.1-1.fc17 will be updated                                                                                                
---> Package calligra-braindump-libs.i686 0:2.5.2-1.fc17 will be an update                                                                                              
---> Package calligra-core.i686 0:2.5.1-1.fc17 will be updated                                                                                                          
---> Package calligra-core.i686 0:2.5.2-1.fc17 will be an update                                                                                                        
---> Package calligra-flow.i686 0:2.5.1-1.fc17 will be updated                                                                                                          
---> Package calligra-flow.i686 0:2.5.2-1.fc17 will be an update                                                                                                        
---> Package calligra-flow-libs.i686 0:2.5.1-1.fc17 will be updated                                                                                                     
---> Package calligra-flow-libs.i686 0:2.5.2-1.fc17 will be an update                                                                                                   
---> Package calligra-karbon.i686 0:2.5.1-1.fc17 will be updated                                                                                                        
---> Package calligra-karbon.i686 0:2.5.2-1.fc17 will be an update                                                                                                      
---> Package calligra-karbon-libs.i686 0:2.5.1-1.fc17 will be updated                                                                                                   
---> Package calligra-karbon-libs.i686 0:2.5.2-1.fc17 will be an update                                                                                                 
---> Package calligra-kdchart.i686 0:2.5.1-1.fc17 will be updated                                                                                                       
---> Package calligra-kdchart.i686 0:2.5.2-1.fc17 will be an update                                                                                                     
---> Package calligra-kexi.i686 0:2.5.1-1.fc17 will be updated                                                                                                          
---> Package calligra-kexi.i686 0:2.5.2-1.fc17 will be an update                                                                                                        
---> Package calligra-kexi-driver-mysql.i686 0:2.5.1-1.fc17 will be updated                                                                                             
---> Package calligra-kexi-driver-mysql.i686 0:2.5.2-1.fc17 will be an update                                                                                           
---> Package calligra-kexi-driver-postgresql.i686 0:2.5.1-1.fc17 will be updated                                                                                        
---> Package calligra-kexi-driver-postgresql.i686 0:2.5.2-1.fc17 will be an update                                                                                      
---> Package calligra-kexi-driver-sybase.i686 0:2.5.1-1.fc17 will be updated                                                                                            
---> Package calligra-kexi-driver-sybase.i686 0:2.5.2-1.fc17 will be an update                                                                                          
---> Package calligra-kexi-libs.i686 0:2.5.1-1.fc17 will be updated                                                                                                     
---> Package calligra-kexi-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-kexi-map-form-widget.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-kexi-map-form-widget.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-krita.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-krita.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-krita-libs.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-krita-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-libs.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-okular-odpgenerator.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-okular-odpgenerator.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-plan.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-plan.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-plan-libs.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-plan-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-reports-map-element.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-reports-map-element.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-sheets.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-sheets.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-sheets-libs.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-sheets-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-stage.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-stage.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-stage-libs.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-stage-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-words.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-words.i686 0:2.5.2-1.fc17 will be an update
---> Package calligra-words-libs.i686 0:2.5.1-1.fc17 will be updated
---> Package calligra-words-libs.i686 0:2.5.2-1.fc17 will be an update
---> Package dragon.i686 0:4.9.1-1.fc17 will be obsoleting
---> Package gwenview.i686 0:4.8.5-1.fc17 will be updated
---> Package gwenview.i686 0:4.9.1-1.fc17 will be an update
---> Package gwenview-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package gwenview-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package jovie.i686 0:4.8.5-1.fc17 will be updated
---> Package jovie.i686 0:4.9.1-1.fc17 will be an update
---> Package jovie-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package jovie-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package kactivities.i686 0:4.8.5-1.fc17 will be updated
---> Package kactivities.i686 0:4.9.1-1.fc17 will be an update
---> Package kamera.i686 0:4.8.5-1.fc17 will be updated
---> Package kamera.i686 0:4.9.1-1.fc17 will be an update
---> Package kamoso.i686 0:2.0.2-3.fc17 will be updated
---> Package kamoso.i686 0:2.0.2-5.fc17 will be an update
---> Package kate.i686 0:4.8.5-1.fc17 will be updated
---> Package kate.i686 0:4.9.1-1.fc17 will be an update
---> Package kate-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package kate-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package kate-part.i686 0:4.8.5-1.fc17 will be updated
---> Package kate-part.i686 0:4.9.1-1.fc17 will be an update
---> Package kcalc.i686 0:4.8.5-1.fc17 will be updated
---> Package kcalc.i686 0:4.9.1-1.fc17 will be an update
---> Package kcharselect.i686 0:4.8.5-1.fc17 will be updated
---> Package kcharselect.i686 0:4.9.1-1.fc17 will be an update
---> Package kcm_colors.i686 0:4.8.5-2.fc17 will be updated
---> Package kcm_colors.i686 0:4.9.1-6.fc17 will be an update
---> Package kcolorchooser.i686 0:4.8.5-1.fc17 will be updated
---> Package kcolorchooser.i686 0:4.9.1-1.fc17 will be an update
---> Package kde-baseapps.i686 0:4.8.5-1.fc17 will be updated
---> Package kde-baseapps.i686 0:4.9.1-2.fc17 will be an update
---> Package kde-baseapps-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package kde-baseapps-libs.i686 0:4.9.1-2.fc17 will be an update
---> Package kde-printer-applet.noarch 0:4.8.5-1.fc17 will be updated
---> Package kde-printer-applet.noarch 0:4.9.1-1.fc17 will be an update
---> Package kde-runtime.i686 0:4.8.5-1.fc17 will be updated
---> Package kde-runtime.i686 0:4.9.1-1.fc17 will be an update
--> Processing Dependency: nepomuk-core >= 4.9.1 for package: kde-runtime-4.9.1-1.fc17.i686
--> Processing Dependency: libnepomukcore.so.4 for package: kde-runtime-4.9.1-1.fc17.i686
---> Package kde-runtime-flags.noarch 0:4.8.5-1.fc17 will be updated
---> Package kde-runtime-flags.noarch 0:4.9.1-1.fc17 will be an update
---> Package kde-runtime-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package kde-runtime-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package kde-workspace.i686 0:4.8.5-2.fc17 will be updated
---> Package kde-workspace.i686 0:4.9.1-6.fc17 will be an update
---> Package kde-workspace-libs.i686 0:4.8.5-2.fc17 will be updated
---> Package kde-workspace-libs.i686 0:4.9.1-6.fc17 will be an update
---> Package kdeartwork-kxs.i686 0:4.8.5-1.fc17 will be updated
---> Package kdeartwork-kxs.i686 0:4.9.1-1.fc17 will be an update
---> Package kdeartwork-screensavers.i686 0:4.8.5-1.fc17 will be updated
---> Package kdeartwork-screensavers.i686 0:4.9.1-1.fc17 will be an update
---> Package kdegraphics-thumbnailers.i686 0:4.8.5-1.fc17 will be updated
---> Package kdegraphics-thumbnailers.i686 0:4.9.1-1.fc17 will be an update
---> Package kdelibs.i686 6:4.8.5-1.fc17 will be updated
---> Package kdelibs.i686 6:4.9.1-4.fc17 will be an update
--> Processing Dependency: liblzma.so.5(XZ_5.0) for package: 6:kdelibs-4.9.1-4.fc17.i686
---> Package kdelibs-common.i686 6:4.8.5-1.fc17 will be updated
---> Package kdelibs-common.i686 6:4.9.1-4.fc17 will be an update
---> Package kdemultimedia-common.noarch 6:4.8.5-1.fc17 will be updated
---> Package kdemultimedia-common.noarch 6:4.9.1-1.fc17 will be an update
---> Package kdemultimedia-dragonplayer.i686 6:4.8.5-1.fc17 will be obsoleted
---> Package kdemultimedia-kio_audiocd.i686 6:4.8.5-1.fc17 will be obsoleted
---> Package kdemultimedia-kmix.i686 6:4.8.5-1.fc17 will be obsoleted
---> Package kdemultimedia-libs.i686 6:4.8.5-1.fc17 will be updated
---> Package kdemultimedia-libs.noarch 6:4.9.1-1.fc17 will be an update
---> Package kdenetwork-common.noarch 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-common.noarch 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-kdnssd.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-kdnssd.i686 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-kget.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-kget.i686 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-kget-libs.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-kget-libs.i686 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-krdc.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-krdc.i686 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-krdc-libs.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-krdc-libs.i686 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-krfb.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-krfb.i686 7:4.9.1-1.fc17 will be an update
---> Package kdenetwork-krfb-libs.i686 7:4.8.5-1.fc17 will be updated
---> Package kdenetwork-krfb-libs.i686 7:4.9.1-1.fc17 will be an update
---> Package kdepim.i686 7:4.8.5-4.fc17 will be updated
---> Package kdepim.i686 7:4.9.1-1.fc17 will be an update
---> Package kdepim-libs.i686 7:4.8.5-4.fc17 will be updated
---> Package kdepim-libs.i686 7:4.9.1-1.fc17 will be an update
---> Package kdepim-runtime.i686 1:4.8.5-1.fc17 will be updated
---> Package kdepim-runtime.i686 1:4.9.1-1.fc17 will be an update
--> Processing Dependency: libkgapi.so.0 for package: 1:kdepim-runtime-4.9.1-1.fc17.i686
--> Processing Dependency: libxerces-c-3.1.so for package: 1:kdepim-runtime-4.9.1-1.fc17.i686
--> Processing Dependency: libkolab.so.0 for package: 1:kdepim-runtime-4.9.1-1.fc17.i686
--> Processing Dependency: libkolabxml.so.0 for package: 1:kdepim-runtime-4.9.1-1.fc17.i686
---> Package kdepim-runtime-libs.i686 1:4.8.5-1.fc17 will be updated
---> Package kdepim-runtime-libs.i686 1:4.9.1-1.fc17 will be an update
---> Package kdepimlibs.i686 0:4.8.5-1.fc17 will be updated
---> Package kdepimlibs.i686 0:4.9.1-3.fc17 will be an update
---> Package kdepimlibs-akonadi.i686 0:4.8.5-1.fc17 will be updated
---> Package kdepimlibs-akonadi.i686 0:4.9.1-3.fc17 will be an update
---> Package kdeplasma-addons.i686 0:4.8.5-1.fc17 will be updated
---> Package kdeplasma-addons.i686 0:4.9.1-1.fc17 will be an update
---> Package kdeplasma-addons-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package kdeplasma-addons-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package kdesdk-common.noarch 0:4.8.5-1.fc17 will be updated
---> Package kdesdk-common.noarch 0:4.9.1-1.fc17 will be an update
---> Package kdesdk-okteta.i686 0:4.8.5-1.fc17 will be updated
---> Package kdesdk-okteta.i686 0:4.9.1-1.fc17 will be an update
---> Package kdesdk-okteta-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package kdesdk-okteta-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package kdesdk-umbrello.i686 0:4.8.5-1.fc17 will be updated
---> Package kdesdk-umbrello.i686 0:4.9.1-1.fc17 will be an update
---> Package kdevelop.i686 9:4.3.1-1.fc17 will be updated
---> Package kdevelop.i686 9:4.3.1-2.fc17 will be an update
---> Package kdevelop-libs.i686 9:4.3.1-1.fc17 will be updated
---> Package kdevelop-libs.i686 9:4.3.1-2.fc17 will be an update
---> Package kdm.i686 0:4.8.5-2.fc17 will be updated
---> Package kdm.i686 0:4.9.1-6.fc17 will be an update
---> Package kgpg.i686 0:4.8.5-1.fc17 will be updated
---> Package kgpg.i686 0:4.9.1-1.fc17 will be an update
---> Package kgreeter-plugins.i686 0:4.8.5-2.fc17 will be updated
---> Package kgreeter-plugins.i686 0:4.9.1-6.fc17 will be an update
---> Package kio_msits.i686 7:4.8.5-3.fc17 will be updated
---> Package kio_msits.i686 7:4.9.1-1.fc17 will be an update
---> Package kmix.i686 0:4.9.1-1.fc17 will be obsoleting
---> Package kolourpaint.i686 0:4.8.5-1.fc17 will be updated
---> Package kolourpaint.i686 0:4.9.1-1.fc17 will be an update
---> Package kolourpaint-libs.i686 0:4.8.5-1.fc17 will be updated
---> Package kolourpaint-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package konsole.i686 0:4.8.5-1.fc17 will be updated
---> Package konsole.i686 0:4.9.1-1.fc17 will be an update
---> Package konsole-part.i686 0:4.8.5-1.fc17 will be updated
---> Package konsole-part.i686 0:4.9.1-1.fc17 will be an update
---> Package kross-interpreters.i686 0:4.8.5-1.fc17 will be updated
---> Package kross-interpreters.i686 0:4.9.1-1.fc17 will be an update
---> Package kross-python.i686 0:4.8.5-1.fc17 will be updated
---> Package kross-python.i686 0:4.9.1-1.fc17 will be an update
---> Package kruler.i686 0:4.8.5-1.fc17 will be updated
---> Package kruler.i686 0:4.9.1-1.fc17 will be an update
---> Package ksnapshot.i686 0:4.8.5-1.fc17 will be updated
---> Package ksnapshot.i686 0:4.9.1-1.fc17 will be an update
---> Package ksysguard.i686 0:4.8.5-2.fc17 will be updated
---> Package ksysguard.i686 0:4.9.1-6.fc17 will be an update
---> Package ksysguard-libs.i686 0:4.8.5-2.fc17 will be updated
---> Package ksysguard-libs.i686 0:4.9.1-6.fc17 will be an update
---> Package ksysguardd.i686 0:4.8.5-2.fc17 will be updated
---> Package ksysguardd.i686 0:4.9.1-6.fc17 will be an update
---> Package ktorrent.i686 0:4.2.1-1.fc17 will be updated
---> Package ktorrent.i686 0:4.3.0-1.fc17 will be an update
---> Package ktorrent-libs.i686 0:4.2.1-1.fc17 will be updated
---> Package ktorrent-libs.i686 0:4.3.0-1.fc17 will be an update
---> Package kwallet.i686 0:4.8.5-1.fc17 will be updated
---> Package kwallet.i686 0:4.9.1-1.fc17 will be an update
---> Package kwebkitpart.i686 0:1.2-0.3.20111030.fc17 will be updated
---> Package kwebkitpart.i686 0:1.3-0.1.20120726git.fc17 will be an update
---> Package kwin-gles-libs.i686 0:4.8.5-2.fc17 will be updated
---> Package kwin-gles-libs.i686 0:4.9.1-6.fc17 will be an update
---> Package kwrite.i686 0:4.8.5-1.fc17 will be updated
---> Package kwrite.i686 0:4.9.1-1.fc17 will be an update
---> Package libkdcraw.i686 0:4.8.5-1.fc17 will be updated
---> Package libkdcraw.i686 0:4.9.1-1.fc17 will be an update
---> Package libkexiv2.i686 0:4.8.5-1.fc17 will be updated
---> Package libkexiv2.i686 0:4.9.1-1.fc17 will be an update
---> Package libkipi.i686 0:4.8.5-1.fc17 will be updated
---> Package libkipi.i686 0:4.9.1-1.fc17 will be an update
---> Package libktorrent.i686 0:1.2.1-1.fc17 will be updated
---> Package libktorrent.i686 0:1.3.0-1.fc17 will be an update
---> Package libkworkspace.i686 0:4.8.5-2.fc17 will be updated
---> Package libkworkspace.i686 0:4.9.1-6.fc17 will be an update
---> Package marble.i686 1:4.8.5-1.fc17 will be updated
---> Package marble.i686 1:4.9.1-1.fc17 will be an update
---> Package marble-libs.i686 1:4.8.5-1.fc17 will be updated
---> Package marble-libs.i686 1:4.9.1-1.fc17 will be an update
---> Package okular.i686 0:4.8.5-3.fc17 will be updated
---> Package okular.i686 0:4.9.1-1.fc17 will be an update
---> Package okular-libs.i686 0:4.8.5-3.fc17 will be updated
---> Package okular-libs.i686 0:4.9.1-1.fc17 will be an update
---> Package okular-part.i686 0:4.8.5-3.fc17 will be updated
---> Package okular-part.i686 0:4.9.1-1.fc17 will be an update
---> Package plasma-scriptengine-python.i686 0:4.8.5-2.fc17 will be updated
---> Package plasma-scriptengine-python.i686 0:4.9.1-6.fc17 will be an update
---> Package pykde4.i686 0:4.8.5-1.fc17 will be updated
---> Package pykde4.i686 0:4.9.1-1.fc17 will be an update
---> Package system-config-printer-kde.i686 7:4.8.4-1.fc17 will be updated
---> Package system-config-printer-kde.i686 7:4.9.1-1.fc17 will be an update
--> Running transaction check
---> Package akonadi.i686 0:1.7.2-1.fc17 will be updated
---> Package akonadi.i686 0:1.8.0-1.fc17 will be an update
---> Package audiocd-kio-libs.i686 0:4.9.1-1.fc17 will be installed
---> Package kdelibs.i686 6:4.9.1-4.fc17 will be an update
--> Processing Dependency: liblzma.so.5(XZ_5.0) for package: 6:kdelibs-4.9.1-4.fc17.i686
---> Package libkcddb.i686 0:4.9.1-1.fc17 will be installed
---> Package libkcompactdisc.i686 0:4.9.1-1.fc17 will be installed
---> Package libkgapi.i686 0:0.4.2-1.fc17 will be installed
---> Package libkolab.i686 0:0.3.1-3.fc17 will be installed
---> Package libkolabxml.i686 0:0.8.1-2.fc17 will be installed
---> Package nepomuk-core.i686 0:4.9.1-1.fc17 will be installed
---> Package nepomuk-core-libs.i686 0:4.9.1-1.fc17 will be installed
---> Package xerces-c.i686 0:3.1.1-2.fc17 will be installed
--> Finished Dependency Resolution
Error: Package: 6:kdelibs-4.9.1-4.fc17.i686 (kde)
           Requires: liblzma.so.5(XZ_5.0)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

How can I solve this? I have the 'required package' in /usr/lib/ I use Fedora 17, KDE 4.8.5

share|improve this question

2 Answers 2

up vote 2 down vote accepted

You either hit the mirror while it was still updating, or your local yum cache is out of sync. Either way, the solution is the same:

yum clean all

then try again.


It's possible you also have a wrong version of xz-libs, the package being complained about. Check to make sure you didn't get a version of it from a third party repository.

share|improve this answer
    
Thank you very much! –  Brallan Aguilar Sep 25 '12 at 2:49

As the other answer says, it might be the mirror isn't completely up to date, or perhaps the updates were pushed out partially. You can try yum clean metadata (that blows away yum's idea of available packages, etc, but not what it has already downloaded), and try again, adding --skip-broken (that omits packages that can't be updated for whatever reason). Maybe you need a few rounds of doing this. Look at the package it is complaining about, try yum reinstall that. Consider running package-cleanup (from the yum-utils package), it helps in fixing a lot of inconsistencies.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.